Subject: Re: bug#70141: 30.0.50; cl--class-allparents throws error for ebdb-field-pgp

From: Robert Pluim <[email-masked]>
Date: Tue, 02 Apr 2024 18:24:24 +0200

>>>>> On Tue, 02 Apr 2024 16:57:35 +0200, Robert Pluim <[email-masked]> said:

>>>>> On Tue, 02 Apr 2024 10:14:09 -0400, Andrea Corallo <[email-masked]> said:
    Andrea> Robert Pluim <[email-masked]> writes:
    >>> Just for fun I tried enabling the native compiler, and keep running
    >>> into the following error with my config (-Q is fine).
    >>> 
    >>> Iʼve tried reinstalling key-chord and ebdb, but thatʼs made no difference.
    >>> 
    >>> I know nothing about eieio, but the defclass for ebdb-field-pgp has a
    >>> superclass:
    >>> 
    >>> (defclass ebdb-field-pgp (ebdb-field-user)

    Andrea> Hi Robert,

    Andrea> could you provide a reproducer we can use to look into it?

    Robert> Iʼve tried to cut my .emacs down, but having just key-chord and ebdb
    Robert> is not enough. More work required.

Itʼs very frustrating: I can make the error go away, but then it
doesnʼt come back :-(

(I can still get it with my original .emacs and emacs home directory though)

Robert
--